package com.sheep.gamegroup.model.entity;

import android.text.TextUtils;

/**
 * Created by realicing on 2018/4/24.
 * realicing@sina.com
 */
public class Friend {
    private String award_amount;

    private String wx_openid;

    private String bank_card;

    private int is_banned;

    private String wx_nickname;

    private String share_link;

    private String id_number;

    private String real_name;

    private String nickname;

    private String mobile;

    private String avatar;

    private double total_asset;

    private int total_withdraw;

    private int update_time;

    private String refresh_token;

    private double balance;

    private String open_id;

    private String device_id;

    private String access_token;

    private int id;

    private String invitation_code;

    private int last_login_time;

    private int newbie_task_status;

    private String parent_code;

    private int create_time;
    private String source_page;

    public String getSource_page() {
        return TextUtils.isEmpty(source_page)?"":source_page;
    }

    public void setSource_page(String source_page) {
        this.source_page = source_page;
    }

    public void setAward_amount(String award_amount){
        this.award_amount = award_amount;
    }
    public String getAward_amount(){
        return this.award_amount;
    }
    public void setWx_openid(String wx_openid){
        this.wx_openid = wx_openid;
    }
    public String getWx_openid(){
        return this.wx_openid;
    }
    public void setBank_card(String bank_card){
        this.bank_card = bank_card;
    }
    public String getBank_card(){
        return this.bank_card;
    }
    public void setIs_banned(int is_banned){
        this.is_banned = is_banned;
    }
    public int getIs_banned(){
        return this.is_banned;
    }
    public void setWx_nickname(String wx_nickname){
        this.wx_nickname = wx_nickname;
    }
    public String getWx_nickname(){
        return this.wx_nickname;
    }
    public void setShare_link(String share_link){
        this.share_link = share_link;
    }
    public String getShare_link(){
        return this.share_link;
    }
    public void setId_number(String id_number){
        this.id_number = id_number;
    }
    public String getId_number(){
        return this.id_number;
    }
    public void setReal_name(String real_name){
        this.real_name = real_name;
    }
    public String getReal_name(){
        return this.real_name;
    }
    public void setNickname(String nickname){
        this.nickname = nickname;
    }
    public String getNickname(){
        return this.nickname;
    }
    public void setMobile(String mobile){
        this.mobile = mobile;
    }
    public String getMobile(){
        return this.mobile;
    }
    public void setAvatar(String avatar){
        this.avatar = avatar;
    }
    public String getAvatar(){
        return this.avatar;
    }
    public void setTotal_asset(double total_asset){
        this.total_asset = total_asset;
    }
    public double getTotal_asset(){
        return this.total_asset;
    }
    public void setTotal_withdraw(int total_withdraw){
        this.total_withdraw = total_withdraw;
    }
    public int getTotal_withdraw(){
        return this.total_withdraw;
    }
    public void setUpdate_time(int update_time){
        this.update_time = update_time;
    }
    public int getUpdate_time(){
        return this.update_time;
    }
    public void setRefresh_token(String refresh_token){
        this.refresh_token = refresh_token;
    }
    public String getRefresh_token(){
        return this.refresh_token;
    }
    public void setBalance(double balance){
        this.balance = balance;
    }
    public double getBalance(){
        return this.balance;
    }
    public void setOpen_id(String open_id){
        this.open_id = open_id;
    }
    public String getOpen_id(){
        return this.open_id;
    }
    public void setDevice_id(String device_id){
        this.device_id = device_id;
    }
    public String getDevice_id(){
        return this.device_id;
    }
    public void setAccess_token(String access_token){
        this.access_token = access_token;
    }
    public String getAccess_token(){
        return this.access_token;
    }
    public void setId(int id){
        this.id = id;
    }
    public int getId(){
        return this.id;
    }
    public void setInvitation_code(String invitation_code){
        this.invitation_code = invitation_code;
    }
    public String getInvitation_code(){
        return this.invitation_code;
    }
    public void setLast_login_time(int last_login_time){
        this.last_login_time = last_login_time;
    }
    public int getLast_login_time(){
        return this.last_login_time;
    }
    public void setNewbie_task_status(int newbie_task_status){
        this.newbie_task_status = newbie_task_status;
    }
    public int getNewbie_task_status(){
        return this.newbie_task_status;
    }
    public void setParent_code(String parent_code){
        this.parent_code = parent_code;
    }
    public String getParent_code(){
        return this.parent_code;
    }
    public void setCreate_time(int create_time){
        this.create_time = create_time;
    }
    public int getCreate_time(){
        return this.create_time;
    }

    @Override
    public boolean equals(Object obj) {
        return obj instanceof Friend && TextUtils.equals(((Friend) obj).getInvitation_code(), invitation_code);
    }
}
